KKeySequence class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KKeySequence Class Reference

A KKeySequence object holds a sequence of up to 4 keys. More...

`#include <kshortcut.h>`

List of all members.

## Public Types
enum | { MAX_KEYS = 4 }
| Defines the maximum length of the key sequence. More...
## Public Member Functions
| KKeySequence ()
| Create a new null key sequence.
| KKeySequence (const QKeySequence &keySeq)
| Copies the given qt key sequence.
| KKeySequence (const KKey &key)
| Create a new key sequence that only contains the given key.
| KKeySequence (const KKeyNative &key)
| Create a new key sequence that only contains the given key.
| KKeySequence (const KKeySequence &keySeq)
| Copies the given key sequence.
| KKeySequence (const QString &keySeq)
| Creates a new key sequence that contains the given key sequence.
void | clear ()
| Clears the key sequence.
bool | init (const QKeySequence &keySeq)
| Copies the given qt key sequence over this key sequence.
bool | init (const KKey &key)
| Initializes the key sequence to only contain the given key.
bool | init (const KKeyNative &key)
| Initializes the key sequence to only contain the given key.
bool | init (const KKeySequence &keySeq)
| Copies the given key sequence over this key sequence.
bool | init (const QString &key)
| Initializes this key sequence to contain the given key sequence.
KKeySequence & | operator= (const KKeySequence &seq)
| Copy the given key sequence into this sequence.
uint | count () const
| Returns the number of key strokes of this sequence.
const KKey & | key (uint i) const
| Return the `i'th` key of this sequence, or a null key if there are less then i keys.
bool | isTriggerOnRelease () const
bool | setKey (uint i, const KKey &key)
| Sets the `i'th` key of the sequence.
void | setTriggerOnRelease (bool)
bool | isNull () const
| Returns true if the key sequence is null (after clear() or empty constructor).
bool | startsWith (const KKeySequence &keySeq) const
| Returns true if this key sequence begins with the given sequence.
int | compare (const KKeySequence &keySeq) const
| Compares this object with the given key sequence.
bool | operator== (const KKeySequence &seq) const
| Compares the keys of both sequences.
bool | operator!= (const KKeySequence &seq) const
| Compares the keys of both sequences.
bool | operator< (const KKeySequence &seq) const
| Compares the keys of both sequences.
QKeySequence | qt () const
| Converts this key sequence to a QKeySequence.
int | keyCodeQt () const
| Returns the qt key code of the first key.
QString | toString () const
| Returns the key sequence as a number of key presses as returned by KKey::toString(), seperated by commas.
QString | toStringInternal () const
## Static Public Member Functions
KKeySequence & | null ()
| Returns a null key sequence.
## Protected Attributes
uchar | m_nKeys
uchar | m_bTriggerOnRelease
KKey | m_rgvar [MAX_KEYS]
## Friends
class | KKeyNative

## Detailed Description

A KKeySequence object holds a sequence of up to 4 keys.

Ex: Ctrl+X,I

See also:
  KKey

  KShortcut

Definition at line 294 of file kshortcut.h.

## Member Enumeration Documentation

anonymous enum

| Defines the maximum length of the key sequence. Definition at line 298 of file kshortcut.h.

## Constructor & Destructor Documentation

KKeySequence::KKeySequence | ( |  | ) |

| Create a new null key sequence. See also: isNull() null() clear() Definition at line 207 of file kshortcut.cpp. References clear().

KKeySequence::KKeySequence | ( | const QKeySequence & | keySeq | ) |

  | Copies the given qt key sequence. Parameters:
  keySeq | the qt key sequence to copy
Definition at line 208 of file kshortcut.cpp. References init().

KKeySequence::KKeySequence | ( | const KKey & | key | ) |

  | Create a new key sequence that only contains the given key. Parameters:
  key | the key to add
Definition at line 209 of file kshortcut.cpp. References init(), and KStdAccel::key().

KKeySequence::KKeySequence | ( | const KKeyNative & | key | ) |

  | Create a new key sequence that only contains the given key. Parameters:
  key | the key to add

KKeySequence::KKeySequence | ( | const KKeySequence & | keySeq | ) |

  | Copies the given key sequence. Parameters:
  keySeq | the key sequence to copy
Definition at line 210 of file kshortcut.cpp. References init().

KKeySequence::KKeySequence | ( | const QString & | keySeq | ) |

  | Creates a new key sequence that contains the given key sequence. The description consists of comma-separated keys as required by KKey::KKey(const QString&). Parameters:
  keySeq | the description of the key
See also: KKeyServer::Sym::init() KKey::KKey(const QString&) Definition at line 211 of file kshortcut.cpp. References init().

## Member Function Documentation

void KKeySequence::clear | ( |  | ) |

| Clears the key sequence. The key sequence is null after calling this function. See also: isNull() Definition at line 217 of file kshortcut.cpp. Referenced by init(), KKeySequence(), and null().

bool KKeySequence::init | ( | const QKeySequence & | keySeq | ) |

  | Copies the given qt key sequence over this key sequence. Parameters:
  keySeq | the qt key sequence to copy
Returns: true if successful, false otherwise Definition at line 223 of file kshortcut.cpp. References clear(), QKeySequence::count(), and QKeySequence::isEmpty(). Referenced by KKeySequence(), operator=(), and KStdAccel::shortcutDefault4().

bool KKeySequence::init | ( | const KKey & | key | ) |

  | Initializes the key sequence to only contain the given key. Parameters:
  key | the key to set
Returns: true if successful, false otherwise Definition at line 248 of file kshortcut.cpp. References clear(), and KStdAccel::key().

bool KKeySequence::init | ( | const KKeyNative & | key | ) |

  | Initializes the key sequence to only contain the given key. Parameters:
  key | the key to set
Returns: true if successful, false otherwise

bool KKeySequence::init | ( | const KKeySequence & | keySeq | ) |

  | Copies the given key sequence over this key sequence. Parameters:
  keySeq | the key sequence to copy
Returns: true if successful, false otherwise Definition at line 259 of file kshortcut.cpp. References m_nKeys, and m_rgvar.

bool KKeySequence::init | ( | const QString & | key | ) |

  | Initializes this key sequence to contain the given key sequence. The description consists of comma-separated keys as required by KKey::KKey(const QString&). Parameters:
  key | the description of the key
Returns: true if successful, false otherwise See also: KKeyServer::Sym::init() KKey::KKey(const QString&) Definition at line 274 of file kshortcut.cpp. References clear(), and QStringList::split().

KKeySequence& KKeySequence::operator= | ( | const KKeySequence & | seq | ) | `[inline]`

| Copy the given key sequence into this sequence. Definition at line 393 of file kshortcut.h. References init().

uint KKeySequence::count | ( |  | ) | const

| Returns the number of key strokes of this sequence. Returns: the number of key strokes See also: MAX_KEYS Definition at line 295 of file kshortcut.cpp. Referenced by keyCodeQt(), qt(), and KStdAccel::shortcutDefault4().

const KKey & KKeySequence::key | ( | uint | i | ) | const

  | Return the `i'th` key of this sequence, or a null key if there are less then i keys. Parameters:
  i | the key to retrieve
Returns: the `i'th` key, or KKey::null() if there are less than i keys See also: MAX_KEYS Definition at line 300 of file kshortcut.cpp. Referenced by keyCodeQt(), and qt().

bool KKeySequence::setKey | ( | uint | i,
|  | const KKey & | key
| ) |

  | Sets the `i'th` key of the sequence. You can not introduce gaps in a sequence, so you must use an `i` <= count(). Also note that the maximum length of a key sequence is MAX_KEYS. Parameters:
  i | the position of the new key (<= count(), <= MAX_KEYS)
  key | the key to set
Returns: true if successful, false otherwise Definition at line 311 of file kshortcut.cpp. References KStdAccel::key().

bool KKeySequence::isNull | ( |  | ) | const

| Returns true if the key sequence is null (after clear() or empty constructor). Returns: true if the key sequence is null See also: clear() null() Definition at line 322 of file kshortcut.cpp. Referenced by KStdAccel::findStdAccel(), KShortcutList::index(), and null().

bool KKeySequence::startsWith | ( | const KKeySequence & | keySeq | ) | const

  | Returns true if this key sequence begins with the given sequence. Parameters:
  keySeq | the key sequence to search
Returns: true if this key sequence begins with the given sequence Definition at line 327 of file kshortcut.cpp. References m_nKeys, and m_rgvar.

int KKeySequence::compare | ( | const KKeySequence & | keySeq | ) | const

  | Compares this object with the given key sequence. Returns a negative number if the given KKeySequence is larger, 0 if they are equal and a positive number this KKeySequence is larger. Key sequences are compared by comparing the individual keys, starting from the beginning until an unequal key has been found. If a sequence contains more keys, it is considered larger. Parameters:
  keySeq | the key sequence to compare to
Returns: a negative number if the given KKeySequence is larger, 0 if they are equal and a positive number this KKeySequence is larger See also: KKey::sequence Definition at line 340 of file kshortcut.cpp. References m_nKeys, and m_rgvar. Referenced by operator!=(), operator<(), and operator==().

bool KKeySequence::operator== | ( | const KKeySequence & | seq | ) | const`[inline]`

| Compares the keys of both sequences. See also: compare() Definition at line 467 of file kshortcut.h. References compare().

bool KKeySequence::operator!= | ( | const KKeySequence & | seq | ) | const`[inline]`

| Compares the keys of both sequences. See also: compare() Definition at line 474 of file kshortcut.h. References compare().

bool KKeySequence::operator< | ( | const KKeySequence & | seq | ) | const`[inline]`

| Compares the keys of both sequences. See also: compare() Definition at line 481 of file kshortcut.h. References compare().

QKeySequence KKeySequence::qt | ( |  | ) | const

| Converts this key sequence to a QKeySequence. Returns: the QKeySequence Definition at line 353 of file kshortcut.cpp. References count(), and key().

int KKeySequence::keyCodeQt | ( |  | ) | const

| Returns the qt key code of the first key. Returns: the qt key code of the first key See also: Qt::Key KKey::keyCodeQt() Definition at line 369 of file kshortcut.cpp. References count(), and key().

QString KKeySequence::toString | ( |  | ) | const

| Returns the key sequence as a number of key presses as returned by KKey::toString(), seperated by commas. Returns: the string represenation of this key sequence See also: KKey::toString() Definition at line 374 of file kshortcut.cpp.

KKeySequence & KKeySequence::null | ( |  | ) | `[static]`

| Returns a null key sequence. Returns: the null key sequence See also: isNull() clear() Definition at line 402 of file kshortcut.cpp. References clear(), and isNull().

The documentation for this class was generated from the following files:

- kshortcut.h
- kshortcut.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:49:33 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001